Name: gkermit
Summary: A utility for transferring files using the Kermit protocol.
Group: Applications/Communications
Source: ftp://kermit.columbia.edu/kermit/archives/gkermit.tar.gz
Patch0: gkermit-1.0-redhat.patch
Copyright: GPL
Version: 1.0
Release: 9
BuildRoot: %{_tmppath}/%{name}-root
Url: http://www.columbia.edu/kermit/gkermit.html

%description
G-Kermit is a UNIX program for transferring files using the Kermit
protocol. Kermit is a file transfer protocol for transferring text and
binary files without errors between diverse types of computers and
over potentially hostile communication links.

G-Kermit features include: support for text and binary file transfer on
both 7-bit and 8-bit connections; files can be transferred singly or
in groups; automatic startup configuration via the GKERMIT environment
variable; and configurability as an external protocol.

Kermit protocol features include: automatic peer recognition,
streaming on reliable connections; selectable packet length from 40 to
9000 bytes (4000 is the default); single shifts for 8-bit data on
7-bit connections; control-character prefixing for control-character
transparency; control-character unprefixing for increased speed
(incoming only); compression of repeated bytes; and per-file and batch
cancellation.

G-Kermit does not support the following features: making connections:
character-set translation; interactive commands and scripting; and
file date-time stamps.

%prep
%setup -q -c
%patch0 -p1 -b .redhat

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install BINDIR=$RPM_BUILD_ROOT%{_bindir} MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ANNOUNCE COPYING README
%attr(755,root,uucp) %{_bindir}/gkermit
%{_mandir}/man1/gkermit.1*

%changelog
* Mon Jul  9 2001 Tim Powers <timp@redhat.com>
- when you rebuild, add a changelog entry and bump the release #

* Tue Dec 19 2000 Philipp Knirsch <pknirsch@redhat.de>
- rebuild

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 26 2000 Nalin Dahyabhai <nalin@redhat.com>
- Remove the setgid bit. (#11870)

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- FHS fixes.

* Wed May 10 2000 Tim Powers <timp@redhat.com>
- quiet setup
- rebuilt for 7.0

* Sun Feb 27 2000 Cristian Gafton <gafton@redhat.com>
- make gkermit setgid uucp

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Thu Jan 13 2000 Cristian Gafton <gafton@redhat.com>
- create first version of the package
